commit:     33676eddf27a5f21f21ffc40e70a9985ad3430bf
Author:     Marek Szuba <marecki <AT> gentoo <DOT> org>
AuthorDate: Tue May 25 10:44:44 2021 +0000
Commit:     Marek Szuba <marecki <AT> gentoo <DOT> org>
CommitDate: Tue May 25 12:30:55 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=33676edd

app-emulation/protontricks: add 1.5.1

Signed-off-by: Marek Szuba <marecki <AT> gentoo.org>

 app-emulation/protontricks/Manifest                |  1 +
 .../protontricks/protontricks-1.5.1.ebuild         | 57 ++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/app-emulation/protontricks/Manifest 
b/app-emulation/protontricks/Manifest
index 718951a9497..725d3d5c481 100644
--- a/app-emulation/protontricks/Manifest
+++ b/app-emulation/protontricks/Manifest
@@ -1,2 +1,3 @@
 DIST protontricks-1.4.3.tar.gz 43573 BLAKE2B 
3a3050ba6e940182d81d98498a5558433ceaa4282f5a23fb93b3cfc299699381493eb2912c5f03bb6a8092be5c50b94bf7181208cda3d4c0f4c90c0f438f7f1b
 SHA512 
7ca8c7c273d92f7c4526caaa8c9db6988c642913c33c6b6188d285d5cfbe30924533a9f024135865cdc1a25bd867ac00bd915b0a61417d17fe0e5ee451417e64
 DIST protontricks-1.5.0.tar.gz 46957 BLAKE2B 
622affd9a1bfff3a5cd76fa8e279f25b5c91a6f040b6cc4e5f42e58be08a232fad2be179a47e063b45b1b1bb11b6ae9ce26cce499f4c1dae460be0bb8247e619
 SHA512 
6df3e0dd638684e70a8d40b7440e2340765109e31dd47fa5e33e4959bc34d3ff4cfa70c8689cafdcce82f1d97ba6d25de724ca7439e5d1ffd634b729ab222716
+DIST protontricks-1.5.1.tar.gz 48111 BLAKE2B 
df7feaefd2ec1c058fa7190ec9c981bd480e5d36cf7a3e15868aa8e052857e69dc573559e35faf74d9d2f4a5549471cb0e8fc0be58ed2431890e37751c88cab8
 SHA512 
4b8d5d17a4bce8bd987c032f5a5ae689d1dcca4694463778398bb62b983afe6eee666aed891c810e852a9f873233b1822d21878464b25f07f8ab92e1777f3ff1

diff --git a/app-emulation/protontricks/protontricks-1.5.1.ebuild 
b/app-emulation/protontricks/protontricks-1.5.1.ebuild
new file mode 100644
index 00000000000..06e0a22ded6
--- /dev/null
+++ b/app-emulation/protontricks/protontricks-1.5.1.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..10} pypy3 )
+DISTUTILS_SINGLE_IMPL=1
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="app-emulation/winetricks wrapper for Proton (Steam Play) games"
+HOMEPAGE="https://github.com/Matoking/protontricks";
+SRC_URI="https://github.com/Matoking/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+gui"
+
+RDEPEND="app-emulation/winetricks
+       $(python_gen_cond_dep '
+               dev-python/vdf[${PYTHON_USEDEP}]
+       ')
+       gui? ( gnome-extra/zenity
+               || (
+                       app-emulation/winetricks[gtk]
+                       app-emulation/winetricks[kde]
+               )
+       )"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.5.0_no-setuptools-scm.patch
+)
+
+DOCS=( CHANGELOG.md README.md )
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       distutils-r1_python_prepare_all
+       echo "version = '${PV}'" > "${S}"/src/${PN}/_version.py || die "Failed 
to generate the version file"
+}
+
+pkg_postinst() {
+       elog
+
+       if ! use gui; then
+               ewarn "Please note that disabling USE=gui does *not* presently 
remove the --gui command-line option,"
+               ewarn "it just means using this option will fail unless 
gnome-extra/zenity happens to be installed."
+               ewarn
+       fi
+
+       elog "Protontricks can only find games for which a Proton prefix 
already exists."
+       elog "Make sure to run a Proton game at least once before trying to use 
protontricks on it."
+       elog
+}

Reply via email to